Bug 173437 - japanese/ddskk installation fails
Summary: japanese/ddskk installation fails
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-07 06:00 UTC by OHASHI Seiji
Modified: 2013-02-18 05:50 UTC (History)
0 users

See Also:


Attachments
file.diff (1.29 KB, patch)
2012-11-07 06:00 UTC, OHASHI Seiji
no flags Details | Diff
patch-to-14.4.txt (3.23 KB, patch)
2012-11-13 02:44 UTC, hiroto.kagotani
no flags Details | Diff
patch-to-14.4.txt (2.63 KB, patch)
2012-11-13 02:39 UTC, hiroto.kagotani
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description OHASHI Seiji 2012-11-07 06:00:00 UTC
ddskk installation fails, if "/usr/local/share/info" directory exists.
The reason for the failure, that directory priority is higher than "/usr/local/info" directory.

make install log:
skk.info -> /usr/local/share/info

Wrote /usr/local/share/info/dir
Wrote /usr/local/share/info/dir
install  -o root -g wheel -m 444 /usr/ports/japanese/ddskk/work/ddskk-14.3/skk-jisx0213.el /usr/local/share/emacs/24.2/site-lisp/skk
install  -o root -g wheel -m 444 /usr/ports/japanese/ddskk/work/ddskk-14.3/skk-lookup.el /usr/local/share/emacs/24.2/site-lisp/skk
/bin/mkdir -p /usr/local/share/doc/ddskk
install  -o root -g wheel -m 444 /usr/ports/japanese/ddskk/work/ddskk-14.3/READMEs/AUTHORS.ja /usr/local/share/doc/ddskk
install  -o root -g wheel -m 444 /usr/ports/japanese/ddskk/work/ddskk-14.3/READMEs/CODENAME.ja /usr/local/share/doc/ddskk
install  -o root -g wheel -m 444 /usr/ports/japanese/ddskk/work/ddskk-14.3/READMEs/Contributors /usr/local/share/doc/ddskk
install  -o root -g wheel -m 444 /usr/ports/japanese/ddskk/work/ddskk-14.3/READMEs/FAQ.ja /usr/local/share/doc/ddskk
install  -o root -g wheel -m 444 /usr/ports/japanese/ddskk/work/ddskk-14.3/READMEs/NEWS.ja /usr/local/share/doc/ddskk
install  -o root -g wheel -m 444 /usr/ports/japanese/ddskk/work/ddskk-14.3/READMEs/README /usr/local/share/doc/ddskk
/bin/mkdir -p /usr/local/share/examples/ddskk
install  -o root -g wheel -m 444        /usr/ports/japanese/ddskk/work/ddskk-14.3/etc/Emacs.ad /usr/local/share/examples/ddskk
install  -o root -g wheel -m 444        /usr/ports/japanese/ddskk/work/ddskk-14.3/etc/dot.emacs /usr/local/share/examples/ddskk
install  -o root -g wheel -m 444        /usr/ports/japanese/ddskk/work/ddskk-14.3/etc/dot.skk /usr/local/share/examples/ddskk
install-info --quiet /usr/local/info/skk.info /usr/local/info/dir
install-info: No such file or directory for /usr/local/info/skk.info
*** [add-plist-info] Error code 1

Stop in /usr/ports/japanese/ddskk.
*** [/usr/ports/japanese/ddskk/work/.install_done.ddskk._usr_local] Error code 1

Fix: Patch attached with submission follows:
How-To-Repeat: mkdir -p /usr/local/share/info
cd /usr/port/japanese/ddskk
make install
Comment 1 Edwin Groothuis freebsd_committer 2012-11-07 06:00:08 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2012-11-07 06:00:08 UTC
Maintainer of japanese/ddskk,

Please note that PR ports/173437 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/173437

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Martin Wilke freebsd_committer 2013-02-18 05:44:32 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2013-02-18 05:44:39 UTC
Author: miwi
Date: Mon Feb 18 05:44:30 2013
New Revision: 312479
URL: http://svnweb.freebsd.org/changeset/ports/312479

Log:
  - Update to 14.4
  - Trim header
  - OptionNG
  
  PR:		173437
  Submitted by:i	Seiji Ohashi <sayzbrdg@gmail.com>
  Approved by:	maintainer

Modified:
  head/japanese/ddskk/Makefile   (contents, props changed)
  head/japanese/ddskk/distinfo   (contents, props changed)
  head/japanese/ddskk/pkg-plist   (contents, props changed)

Modified: head/japanese/ddskk/Makefile
==============================================================================
--- head/japanese/ddskk/Makefile	Mon Feb 18 05:25:41 2013	(r312478)
+++ head/japanese/ddskk/Makefile	Mon Feb 18 05:44:30 2013	(r312479)
@@ -1,13 +1,8 @@
-# New ports collection makefile for:	skk-elisp
-# Date created:		31 Oct 1998
-# Whom:			Shigeyuki FUKUSHIMA <shige@kuis.kyoto-u.ac.jp>
-#
+# Created by: Shigeyuki FUKUSHIMA <shige@kuis.kyoto-u.ac.jp>
 # $FreeBSD$
-#
 
 PORTNAME=	ddskk
-PORTVERSION=	14.3
-PORTREVISION=	5
+PORTVERSION=	14.4
 CATEGORIES=	japanese elisp
 MASTER_SITES=	http://openlab.ring.gr.jp/skk/maintrunk/ \
 		ftp://ftp.ring.gr.jp/pub/elisp/skk/maintrunk/ \
@@ -17,6 +12,8 @@ PKGNAMESUFFIX=	-${EMACS_PORT_NAME}
 MAINTAINER=	hiroto.kagotani@gmail.com
 COMMENT=	Simple Kana to Kanji conversion program on Emacsen
 
+OPTIONS_DEFINE=	DOCS EXAMPLES
+
 MAKE_JOBS_SAFE=	yes
 USE_EMACS=	yes
 INFO=		skk
@@ -26,23 +23,25 @@ PORTDOCS=	AUTHORS.ja CODENAME.ja Contrib
 PORTEXAMPLES=	Emacs.ad dot.emacs dot.skk
 
 ALL_TARGET=	elc info
-MAKE_ARGS+=	SKK_LISPDIR=${PREFIX}/${SKK_LISPDIR}
+MAKE_ARGS+=	SKK_LISPDIR=${PREFIX}/${SKK_LISPDIR} SKK_INFODIR=${PREFIX}/${INFO_PATH}
 
 pre-install:
 	# required for non-standard PREFIX
 	${MKDIR} ${PREFIX}/${SKK_LISPDIR}
 
+.include <bsd.port.options.mk>
+
 post-install:
 .for i in skk-jisx0213 skk-lookup
 	${INSTALL_DATA} ${WRKSRC}/${i}.el ${PREFIX}/${SKK_LISPDIR}
 .endfor
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	${MKDIR} ${DOCSDIR}
 .for i in ${PORTDOCS}
 	${INSTALL_DATA} ${WRKSRC}/READMEs/${i} ${DOCSDIR}
 .endfor
 .endif
-.if !defined(NOPORTEXAMPLES)
+.if ${PORT_OPTIONS:MEXAMPLES}
 	${MKDIR} ${EXAMPLESDIR}
 .for i in ${PORTEXAMPLES}
 	${INSTALL_DATA}	${WRKSRC}/etc/${i} ${EXAMPLESDIR}

Modified: head/japanese/ddskk/distinfo
==============================================================================
--- head/japanese/ddskk/distinfo	Mon Feb 18 05:25:41 2013	(r312478)
+++ head/japanese/ddskk/distinfo	Mon Feb 18 05:44:30 2013	(r312479)
@@ -1,2 +1,2 @@
-SHA256 (ddskk-14.3.tar.gz) = 478e2c824cfcd4e956a2e30e0f3967c3e385b3941f13fdd6c8c270d89367d0ef
-SIZE (ddskk-14.3.tar.gz) = 805289
+SHA256 (ddskk-14.4.tar.gz) = a538c641f3302432aca07ae748bc0e4a7fcc91ff01c3d96b3169d1fbaa5a7d4a
+SIZE (ddskk-14.4.tar.gz) = 847188

Modified: head/japanese/ddskk/pkg-plist
==============================================================================
--- head/japanese/ddskk/pkg-plist	Mon Feb 18 05:25:41 2013	(r312478)
+++ head/japanese/ddskk/pkg-plist	Mon Feb 18 05:44:30 2013	(r312479)
@@ -65,6 +65,8 @@
 %%EMACS_VERSION_SITE_LISPDIR%%/skk/skk-server-completion.elc
 %%EMACS_VERSION_SITE_LISPDIR%%/skk/skk-server.el
 %%EMACS_VERSION_SITE_LISPDIR%%/skk/skk-server.elc
+%%EMACS_VERSION_SITE_LISPDIR%%/skk/skk-show-mode.el
+%%EMACS_VERSION_SITE_LISPDIR%%/skk/skk-show-mode.elc
 %%EMACS_VERSION_SITE_LISPDIR%%/skk/skk-setup.el
 %%EMACS_VERSION_SITE_LISPDIR%%/skk/skk-sticky.el
 %%EMACS_VERSION_SITE_LISPDIR%%/skk/skk-sticky.elc
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"